GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_cq_completion Struct Reference

`#include <completion_queue.h>`

## Data Fields
void * | tag
| user supplied tag More...
void(* | done )(void *done_arg, struct grpc_cq_completion *c)
| done callback - called when this queue element is no longer needed by the completion queue More...
void * | done_arg
gpr_uintptr | next
| next pointer; low bit is used to indicate success or not More...

## Field Documentation

void(* grpc_cq_completion::done)(void *done_arg, struct grpc_cq_completion *c)

done callback - called when this queue element is no longer needed by the completion queue

void* grpc_cq_completion::done_arg

gpr_uintptr grpc_cq_completion::next

next pointer; low bit is used to indicate success or not

void* grpc_cq_completion::tag

user supplied tag

The documentation for this struct was generated from the following file:

- src/core/surface/completion_queue.h